/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.isobus.tree;

import nl.cloudfarming.client.isobus.model.CommentListValue;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;
import org.openide.util.lookup.Lookups;

/**
 * Node For the {@link CommentListValue}
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages("isobus project taskdata node name comment list value=Comment value ({0})")
public class CommentListValueNode extends AbstractNode {
    
    private static final String COMMENT_VALUE_NODE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_comment_value.png";
    
    public CommentListValueNode(CommentListValue commentListValue){
        super(Children.LEAF, Lookups.fixed(commentListValue));
        setName(Bundle.isobus_project_taskdata_node_name_comment_list_value(commentListValue.getDesignator()));
        setIconBaseWithExtension(COMMENT_VALUE_NODE_ICON);
        
    }
    
}
