/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.isobus.tree;

import java.util.List;
import nl.cloudfarming.client.isobus.model.DataLogValue;
import nl.cloudfarming.client.isobus.model.DeviceElement;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Node;

/**
 * <p>Child factory for the {@link DataLogValue} object</p>
 * <p>Possible children are {@link DeviceElement}
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
public class DataLogValueChildFactory extends ChildFactory<DataLogValue> {
    
    private final DataLogValue dataLogValue;
    
    
    public DataLogValueChildFactory(DataLogValue dataLogValue){
        this.dataLogValue = dataLogValue;
    }

    @Override
    protected boolean createKeys(List<DataLogValue> toPopulate) {
        toPopulate.add(dataLogValue);
        return true;
    }
    
    @Override
    protected Node createNodeForKey(DataLogValue dataLogValue) {
        return new DeviceElementNode((DeviceElement)dataLogValue.getDeviceElementIdRef());
    }
    
}
